org.apache.calcite.avatica.proto

## Class Requests.UpdateBatch.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>
      - - org.apache.calcite.avatica.proto.Requests.UpdateBatch.Builder

All Implemented Interfaces:
  com.google.protobuf.Message.Builder, com.google.protobuf.MessageLite.Builder, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Cloneable, Requests.UpdateBatchOrBuilder

Enclosing class:
  Requests.UpdateBatch

    public static final class Requests.UpdateBatch.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>
    implements Requests.UpdateBatchOrBuilder

     Each command is a list of TypedValues

Protobuf type `UpdateBatch`

### Field Summary

Fields
`private int` `bitField0_`
`private List<Common.TypedValue>` `parameterValues_`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `parameterValuesBuilder_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.UpdateBatch.Builder` `addAllParameterValues(Iterable<? extends Common.TypedValue> values)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `addParameterValues(Common.TypedValue.Builder builderForValue)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `addParameterValues(Common.TypedValue value)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `addParameterValues(int index, Common.TypedValue.Builder builderForValue)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `addParameterValues(int index, Common.TypedValue value)` `repeated .TypedValue parameter_values = 1;`
`Common.TypedValue.Builder` `addParameterValuesBuilder()` `repeated .TypedValue parameter_values = 1;`
`Common.TypedValue.Builder` `addParameterValuesBuilder(int index)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.UpdateBatch` `build()`
`Requests.UpdateBatch` `buildPartial()`
`Requests.UpdateBatch.Builder` `clear()`
`Requests.UpdateBatch.Builder` `clearField(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.UpdateBatch.Builder` `clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.UpdateBatch.Builder` `clearParameterValues()` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `clone()`
`private void` `ensureParameterValuesIsMutable()`
`Requests.UpdateBatch` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`Common.TypedValue` `getParameterValues(int index)` `repeated .TypedValue parameter_values = 1;`
`Common.TypedValue.Builder` `getParameterValuesBuilder(int index)` `repeated .TypedValue parameter_values = 1;`
`List<Common.TypedValue.Builder>` `getParameterValuesBuilderList()` `repeated .TypedValue parameter_values = 1;`
`int` `getParameterValuesCount()` `repeated .TypedValue parameter_values = 1;`
`private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder>` `getParameterValuesFieldBuilder()`
`List<Common.TypedValue>` `getParameterValuesList()` `repeated .TypedValue parameter_values = 1;`
`Common.TypedValueOrBuilder` `getParameterValuesOrBuilder(int index)` `repeated .TypedValue parameter_values = 1;`
`List<? extends Common.TypedValueOrBuilder>` `getParameterValuesOrBuilderList()` `repeated .TypedValue parameter_values = 1;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.UpdateBatch.Builder` `mergeFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.UpdateBatch.Builder` `mergeFrom(com.google.protobuf.Message other)`
`Requests.UpdateBatch.Builder` `mergeFrom(Requests.UpdateBatch other)`
`Requests.UpdateBatch.Builder` `mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.UpdateBatch.Builder` `removeParameterValues(int index)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `setField(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)`
`Requests.UpdateBatch.Builder` `setParameterValues(int index, Common.TypedValue.Builder builderForValue)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `setParameterValues(int index, Common.TypedValue value)` `repeated .TypedValue parameter_values = 1;`
`Requests.UpdateBatch.Builder` `setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)`
`Requests.UpdateBatch.Builder` `setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, parseUnknownField`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Field Detail

#### bitField0_

    private int bitField0_

#### parameterValues_

    private List<Common.TypedValue> parameterValues_

#### parameterValuesBuilder_

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> parameterValuesBuilder_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.UpdateBatch.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### getDefaultInstanceForType

    public Requests.UpdateBatch getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.UpdateBatch build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.UpdateBatch buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.UpdateBatch.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### setField

    public Requests.UpdateBatch.Builder setField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                 Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### clearField

    public Requests.UpdateBatch.Builder clearField(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### clearOneof

    public Requests.UpdateBatch.Builder clearOneof(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### setRepeatedField

    public Requests.UpdateBatch.Builder setRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         int index,
                                                         Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### addRepeatedField

    public Requests.UpdateBatch.Builder addRepeatedField(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                         Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### mergeFrom

    public Requests.UpdateBatch.Builder mergeFrom(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.UpdateBatch.Builder>`

#### mergeFrom

    public Requests.UpdateBatch.Builder mergeFrom(Requests.UpdateBatch other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### mergeFrom

    public Requests.UpdateBatch.Builder mergeFrom(com.google.protobuf.CodedInputStream input,
                                                  com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                           throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.UpdateBatch.Builder>`
Throws:
  `IOException`

#### ensureParameterValuesIsMutable

    private void ensureParameterValuesIsMutable()

#### getParameterValuesList

    public List<Common.TypedValue> getParameterValuesList()

`repeated .TypedValue parameter_values = 1;`

Specified by:
  `getParameterValuesList` in interface `Requests.UpdateBatchOrBuilder`

#### getParameterValuesCount

    public int getParameterValuesCount()

`repeated .TypedValue parameter_values = 1;`

Specified by:
  `getParameterValuesCount` in interface `Requests.UpdateBatchOrBuilder`

#### getParameterValues

    public Common.TypedValue getParameterValues(int index)

`repeated .TypedValue parameter_values = 1;`

Specified by:
  `getParameterValues` in interface `Requests.UpdateBatchOrBuilder`

#### setParameterValues

    public Requests.UpdateBatch.Builder setParameterValues(int index,
                                                           Common.TypedValue value)

`repeated .TypedValue parameter_values = 1;`

#### setParameterValues

    public Requests.UpdateBatch.Builder setParameterValues(int index,
                                                           Common.TypedValue.Builder builderForValue)

`repeated .TypedValue parameter_values = 1;`

#### addParameterValues

    public Requests.UpdateBatch.Builder addParameterValues(Common.TypedValue value)

`repeated .TypedValue parameter_values = 1;`

#### addParameterValues

    public Requests.UpdateBatch.Builder addParameterValues(int index,
                                                           Common.TypedValue value)

`repeated .TypedValue parameter_values = 1;`

#### addParameterValues

    public Requests.UpdateBatch.Builder addParameterValues(Common.TypedValue.Builder builderForValue)

`repeated .TypedValue parameter_values = 1;`

#### addParameterValues

    public Requests.UpdateBatch.Builder addParameterValues(int index,
                                                           Common.TypedValue.Builder builderForValue)

`repeated .TypedValue parameter_values = 1;`

#### addAllParameterValues

    public Requests.UpdateBatch.Builder addAllParameterValues(Iterable<? extends Common.TypedValue> values)

`repeated .TypedValue parameter_values = 1;`

#### clearParameterValues

    public Requests.UpdateBatch.Builder clearParameterValues()

`repeated .TypedValue parameter_values = 1;`

#### removeParameterValues

    public Requests.UpdateBatch.Builder removeParameterValues(int index)

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesBuilder

    public Common.TypedValue.Builder getParameterValuesBuilder(int index)

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesOrBuilder

    public Common.TypedValueOrBuilder getParameterValuesOrBuilder(int index)

`repeated .TypedValue parameter_values = 1;`

Specified by:
  `getParameterValuesOrBuilder` in interface `Requests.UpdateBatchOrBuilder`

#### getParameterValuesOrBuilderList

    public List<? extends Common.TypedValueOrBuilder> getParameterValuesOrBuilderList()

`repeated .TypedValue parameter_values = 1;`

Specified by:
  `getParameterValuesOrBuilderList` in interface `Requests.UpdateBatchOrBuilder`

#### addParameterValuesBuilder

    public Common.TypedValue.Builder addParameterValuesBuilder()

`repeated .TypedValue parameter_values = 1;`

#### addParameterValuesBuilder

    public Common.TypedValue.Builder addParameterValuesBuilder(int index)

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesBuilderList

    public List<Common.TypedValue.Builder> getParameterValuesBuilderList()

`repeated .TypedValue parameter_values = 1;`

#### getParameterValuesFieldBuilder

    private com.google.protobuf.RepeatedFieldBuilderV3<Common.TypedValue,Common.TypedValue.Builder,Common.TypedValueOrBuilder> getParameterValuesFieldBuilder()

#### setUnknownFields

    public final Requests.UpdateBatch.Builder setUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`

#### mergeUnknownFields

    public final Requests.UpdateBatch.Builder mergeUnknownFields(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.UpdateBatch.Builder>`